6.0.0-git
2019-07-21

[#4332] IMP does not display PGP-encrypted messages sent by myself
Summary IMP does not display PGP-encrypted messages sent by myself
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester heffer (at) quaddamage (dot) de
Created 2006-08-24 (4714 days ago)
Due
Updated 2014-08-12 (1804 days ago)
Assigned 2006-08-25 (4713 days ago)
Resolved 2006-10-04 (4673 days ago)
Milestone
Patch No

History
2014-08-12 16:26:02 anishidk (at) gmail (dot) com Comment #6 Reply to this comment
Hai,

I am using pgp pass-phrase  encryption technique in horde. But i send 
a encrypted mail via pgp pass-phrase, in sent items i cant view this 
message
it shows, this message is encrypted please enter your   "Private key 
pass-phrase". for decrypt this message .I just enter the pass-phrase 
for using mail encrypt but system not accept it.
Is any method for viewing this message? Please help me


2006-10-04 06:30:16 Michael Slusarz Comment #5
State ⇒ Resolved
Priority ⇒ 2. Medium
Version ⇒ HEAD
Reply to this comment
Fixed in HEAD only.
2006-10-04 06:29:35 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒
Reply to this comment
From imp@lists:



since some versions (i think since change to IMP 4.1) i'm having the 
problem that i

can't read anymore mails in the sent-folder sent encrypted. it seems 
like they are only

encrypted with the other persons key and not anymore with mine.



I have found the discussion in http://bugs.horde.org/ticket/?id=2670 
where it is

suggested that the message in the sent-folder should be the same 
message as the sent

one. i think that this has then been this change:



[mms] PGP encrypted messages now encrypted to all recipients in the same

       message (Bug #2670) (requires Horde 3.1).



(in 4.1-RC1)



anyway i'm not really sure if i see this correct. however it would be 
nice to still have

the possibility to read the encrypted sent-messages.



did i configure something wrong or is IMP only encrypting it with the 
remote-users key?



thanks for your answer and work...

That's exactly what I'm witnessing here, too. I'm working around this 
by sending a BCC of

each encrypted message to my own address.



Volker
2006-08-27 20:10:42 Michael Slusarz Comment #3 Reply to this comment
Works here too.
2006-08-25 13:04:41 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I can't reproduce this, same gpg version.
2006-08-24 12:17:13 heffer (at) quaddamage (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMP does not display PGP-encrypted messages sent by myself
Queue ⇒ IMP
Reply to this comment
I am using PGP-encryption with Horde-IMP. I can decrypt messages 
received from other persons and other persons can decrypt messages 
sent by me using IMP.



But: I am NOT able to decrypt/display encrypted messages that I have 
sent through IMP. When I want to view a encrypted message (with IMP) 
from my Sent-Folder I am prompted for password-input. But instead of 
showing the decrypted message I am getting this error:



--SNIP--

This message has been encrypted with PGP.

This message does not appear to be a valid PGP encrypted message. 
Error: Could not decrypt PGP data: gpg: decryption failed: secret key 
not available

--SNAP--



I am using GnuPG version 1.4.5 from Gentoo portage.


Saved Queries